task index {
	File bam
	String docker
	String cluster_config
	String disk_size
	
	String clean_bam_name = basename(bam)
	
	command <<<
	    samtools index --help
		samtools index ${bam} ${clean_bam_name}.bai
	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File bai = "${clean_bam_name}.bai"
	}
}
